View Issue Details

IDProjectCategoryView StatusLast Update
0005178SymmetricDSNew Featurepublic2022-01-19 15:00
Reporterelong Assigned Toelong  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.14.0 
Target Version3.14.0Fixed in Version3.14.0 
Summary0005178: Push registration to nodes when group links indicate push
DescriptionAllow registration to work over a push link. Previously, the client pulls on a registration URI to read and load a configuration batch. Push registration would allow server to push the configuration batch to a remote client node. The client should be able to register in the following cases:

1. Server is behind a firewall, so client cannot pull from server.
2. Group links are server and client push to each other.
3. Group links are server initiates all communication.
Tagsregistration

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.14 fc9ecd27

2021-12-29 20:19:04

admin

Details Diff
0005178: Push registration to nodes when group links indicate push Affected Issues
0005178
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Node.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IRegistrationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PushService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/AbstractTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/ITransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/TransportUtils.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpIncomingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/web/WebConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/transport/MockTransportManager.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/AbstractUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/PushUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/RegistrationUriHandler.java Diff File

SymmetricDS: 3.14 85f4a361

2022-01-03 16:01:26

admin

Details Diff
0005178: Parameter for push registration to enable/disable Affected Issues
0005178
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PushService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/RegistrationUriHandler.java Diff File

SymmetricDS: 3.14 f1e449dd

2022-01-18 22:06:06

admin

Details Diff
0005178: fix integration tests Affected Issues
0005178
mod - symmetric-server/src/test/resources/test-integration-root-setup.sql Diff File

Issue History

Date Modified Username Field Change
2021-12-29 20:13 elong New Issue
2021-12-29 20:13 elong Status new => assigned
2021-12-29 20:13 elong Assigned To => elong
2021-12-29 20:13 elong Tag Attached: registration
2021-12-29 20:13 elong Project SymmetricDS Pro => SymmetricDS
2021-12-29 20:19 elong Status assigned => resolved
2021-12-29 20:19 elong Resolution open => fixed
2021-12-29 20:19 elong Fixed in Version => 3.14.0
2021-12-29 21:00 admin Changeset attached => SymmetricDS 3.14 fc9ecd27
2022-01-03 17:00 admin Changeset attached => SymmetricDS 3.14 85f4a361
2022-01-19 15:00 admin Changeset attached => SymmetricDS 3.14 f1e449dd